System 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection

An instance of this class is returned when the property is called.

Represents a collection of objects. This class cannot be inherited.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies an object into an array, starting at the specified index.

  An array of objects. An integer representing the index value.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Use this property to determine how many elements are in the collection.

  Gets the number of elements in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainElementEnumerator

  The class implements , which enables you to use methods such as , and to view the contents of the collection.

  Gets an object that can be used to navigate through a collection of chain elements.

  An object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This value is always false because an object is not thread safe.

  Gets a value indicating whether the collection of chain elements is synchronized.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainElement `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This property returns the this pointer, which is a reference to an instance of the current class.

  Gets an object that can be used to synchronize access to an object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies an object into an array, starting at the specified index.

  An array to copy the object to. The index of at which to start copying.
- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  This method returns an enumerator interface.

  Gets an object that can be used to navigate a collection of chain elements.

  An object.